import { TokenInterface } from './token.interface';
export declare type extractTokenFn = (token: string) => Promise<TokenInterface>;
export declare type verifyTokenFn = (token: string, ...args: any[]) => Promise<boolean>;
export interface TokenExtractor {
    extractToken: extractTokenFn;
    verifyToken: verifyTokenFn;
}
