import { Action } from 'routing-controllers';
import { KeycloakTokenExtractor } from '../token-extractor';
export interface AuthorizeMiddlewareOptions {
    tokenExtractor: KeycloakTokenExtractor;
    checkRoleFn: CheckRoleFn;
}
export declare type CheckRoleFn = (token: any) => boolean;
export declare function authorizeMiddlewareFactory(options: AuthorizeMiddlewareOptions): (action: Action, checkRoleFn: CheckRoleFn) => Promise<boolean>;
